11.7. Get Application Information


Description

Get information about an existing application.

Method and URL Structure

Expand
Method URL Structure
GET /broker/rest/application/:id

Request Parameters

Not applicable

cURL Command Example

$ curl -X GET https://openshift.redhat.com/broker/rest/application/52131ae36cec0e0d5f00012b

JSON Response

The API returns information about the specified application and related resource links which have been left out for brevity. See Chapter 11, Applications for more information on all application parameters.

{
    "api_version": 1.6,
    "data": [
        {
            "aliases": [],
            "app_url": "http://myapp-mydomain.rhcloud.com/",
            "build_job_url": null,
            "building_app": null,
            "building_with": null,
            "creation_time": "2013-08-20T07:29:39Z",
            "domain_id": "mydomain",
            "embedded": {
                "haproxy-1.4": {},
                "mysql-5.5": {
                    "connection_url": "mysql://$OPENSHIFT_MYSQL_DB_HOST:$OPENSHIFT_MYSQL_DB_PORT/",
                    "username": "adminF3x1YFi",
                    "password": "vja3unpGDueg",
                    "database_name": "myapp",
                    "info": "Connection URL: mysql://$OPENSHIFT_MYSQL_DB_HOST:$OPENSHIFT_MYSQL_DB_PORT/"
                }
            },
            "framework": "php-5.4",
            "gear_count": 2,
            "gear_profile": "medium",
            "git_url": "ssh://52131ae36cec0e0d5f00012b@myapp-mydomain.rhcloud.com/~/git/myapp.git/",
            "health_check_path": "health_check.php",
            "id": "52131ae36cec0e0d5f00012b",
            "initial_git_url": null,
            "links": {
                "GET": {
                    "href": "https://openshift.redhat.com/broker/rest/applications/52131ae36cec0e0d5f00012b",
                    "method": "GET",
                    "optional_params": [],
                    "rel": "Get application",
                    "required_params": []
                },
            },
            "members": [
                {
                    "explicit_role": null,
                    "from": [
                        {
                            "type": "domain",
                            "role": "admin"
                        }
                    ],
                    "id": "52054aef03ef64101000000d",
                    "name": "user@example.com",
                    "owner": true,
                    "role": "admin",
                    "type": "user"
                }
            ],
            "name": "myapp",
            "scalable": true,
            "ssh_url": "ssh://52131ae36cec0e0d5f00012b@myapp-mydomain.rhcloud.com"
        }
    ],
    "messages": [
        {
            "exit_code": 0,
            "field": null,
            "severity": "info",
            "text": "Found 1 applications."
        }
    ],
    "status": "ok",
    "supported_api_versions": [
      1.0,
      1.1,
      1.2,
      1.3,
      1.4,
      1.5,
      1.6
    ],
    "type": "applications",
    "version": "1.6"
}

Red Hat logoGithubredditYoutubeTwitter

Learn

Try, buy, & sell

Communities

About Red Hat

We deliver hardened solutions that make it easier for enterprises to work across platforms and environments, from the core datacenter to the network edge.

Making open source more inclusive

Red Hat is committed to replacing problematic language in our code, documentation, and web properties. For more details, see the Red Hat Blog.

About Red Hat Documentation

Legal Notice

Theme

© 2026 Red Hat
Back to top